| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csJoystickEventData Struct Reference
[Event handling]

Structure that collects the data a joystick event carries. More...

`#include <iutil/event.h>`

List of all members.

## Public Attributes
int32 | axes [CS_MAX_JOYSTICK_AXES]
| Joystick axis values.
uint32 | axesChanged
| Axes change mask.
uint | Button
| Joystick button number.
uint32 | Modifiers
| Control key state.
uint | numAxes
| Axes count.
uint | number
| Joystick number (0, 1, 2, ...).

## Detailed Description

Structure that collects the data a joystick event carries.

The event it self doesn't transfer the data in this structure; it is merely meant to pass around joystick event data in a compact way within client code without having to pass around the event itself.

See also:
  csJoystickEventHelper

Definition at line 178 of file event.h.

## Member Data Documentation

int32 csJoystickEventData::axes[CS_MAX_JOYSTICK_AXES]

Joystick axis values.

Definition at line 183 of file event.h.

uint32 csJoystickEventData::axesChanged

Axes change mask.

Definition at line 187 of file event.h.

uint csJoystickEventData::Button

Joystick button number.

Definition at line 189 of file event.h.

uint32 csJoystickEventData::Modifiers

Control key state.

Definition at line 191 of file event.h.

uint csJoystickEventData::numAxes

Axes count.

Definition at line 185 of file event.h.

uint csJoystickEventData::number

Joystick number (0, 1, 2, ...).

Definition at line 181 of file event.h.

The documentation for this struct was generated from the following file:

- iutil/event.h